Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.
0 votes
1.1k views
in Q2A Core by
edited by

Warning: Invalid argument supplied for foreach() in /home/u230563178/public_html/qa-include/qa-base.php(572) : eval()'d code on line77

Q2A version: 1.7 beta 2
related to an answer for: It shows this warning - See description !!

2 Answers

+2 votes
by
selected by
 
Best answer
It seems you're using the Q2A-Ultimate-SEO plugin. I took a look at the code and noticed it has some (minor) issues that generate some warnings when code is executed. I've created a fork of the project and fixed these issues and some others too. Try this plugin version and let me know if it works fine:

https://github.com/pupi1985/Q2A-Ultimate-SEO
by
Thanks for your support but I've already fixed this issue by adding site & selecting dofollow option in external links in Links link optimisation tab.
0 votes
by
Check error log of your web server for more detail.

Search key: "PHP Question2Answer more info"
by
@Dipanshu Thank you for your replay. It would be foolish action of spam user of this site.
@Moderator (Scott?) I responded to questioner by examining program source. User who flagged my answer is spam user. I will request to search this user from database to moderators.
by
Great. Anyways, can you help me to solve this problem. This warning only in question pages since I updated my q2a from 1.6.3 to 1.7 beta 2.
by
This error might be displayed when you ran non-standard program of Q2A. There might be incompatible theme and plugins with V1.7 in your system. I recommend to determine the cause by removing all third party themes and plugins.
by
there is only 1 third party plugin ie., q2a ultimate seo.
...